<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" xmlns:scilab="http://www.scilab.org" xml:id="MBC_LimIntegrator">
    <refnamediv>
        <refname>MBC_LimIntegrator</refname>
        <refpurpose>MBC_LimIntegrator Coselica block</refpurpose>
    </refnamediv>
    <refsection>
        <title>Block Screenshot</title>
        <para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../images/gif/MBC_LimIntegrator.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>
    </refsection>
    <refsection id="Description_MBC_LimIntegrator">
        <title>Description</title>
        <para>
            Integrator with limited values of the outputs
        </para>
    </refsection>
    <refsection id="Palette_MBC_LimIntegrator">
        <title>Palette</title>
        <itemizedlist>
            <listitem>
                <para>
                    <link linkend="Blocks_pal">Blocks - Coselica toolbox</link>
                </para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection>
        <title>Block Screenshot</title>
        <para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../images/gui/MBC_LimIntegrator_gui.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">k [-] : Integrator gains</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 1</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">outMax [-] : Upper limits of outputs</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 1</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">outMin [-] : Lower limits of outputs</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : -1</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">y_start [-] : Start values of integrators</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0</para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Defaultproperties_MBC_LimIntegrator">
        <title>Block Model / Default properties</title>
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">Inputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'u'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Value type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Outputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'y'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Value type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Parameters :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'k'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 1
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'outMax'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 1
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'outMin'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> -1
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'y_start'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Interfacingfunction_MBC_LimIntegrator">
        <title>Interfacing function</title>
        <itemizedlist>
            <listitem>
                <para>MBC_LimIntegrator.sci</para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Modelicamodel_MBC_LimIntegrator">
        <title>Modelica model</title>
        <itemizedlist>
            <listitem>
                <para>Modelica.Blocks.Continuous.LimIntegrator in COSELICA/macros/Coselica.mo file</para>
            </listitem>
        </itemizedlist>
    </refsection>
</refentry>
